{
  "name": "digitalhugs",
  "version": "1.3.982",
  "description": "Digital Hugs ",
  "main": "main/main.js",
  "scripts": {
    "start": "electron .",
    "dev": "electron . --dev",
    "build": "electron-builder",
    "build-win": "electron-builder --win",
    "build-mac": "electron-builder --mac",
    "build-linux": "electron-builder --linux",
    "pack": "electron-builder --dir",
    "dist": "electron-builder"
  },
  "author": "Digital Hugs",
  "license": "MIT",
  "devDependencies": {
    "@electron-forge/maker-dmg": "^7.9.0",
    "dmg-license": "^1.0.11",
    "electron": "^28.3.3",
    "electron-builder": "^24.9.1"
  },
  "dependencies": {
    "@img/sharp-libvips-darwin-x64": "^1.2.3",
    "archiver": "^5.3.2",
    "axios": "^1.6.2",
    "csv-parser": "^3.0.0",
    "electron-log": "^5.4.3",
    "electron-updater": "^6.6.2",
    "exiftool-vendored": "^36.0.0",
    "fs-extra": "^11.2.0",
    "ftp-srv": "^4.6.3",
    "mime-types": "^2.1.35",
    "qrcode": "^1.5.3",
    "sharp": "^0.34.4",
    "three": "^0.182.0",
    "xmldom": "^0.6.0"
  },
  "build": {
    "appId": "com.digitalhugs.app",
    "productName": "Digital Hugs",
    "asar": true,
    "asarUnpack": [
      "**/node_modules/sharp/**/*",
      "**/node_modules/@img/**/*",
      "**/node_modules/exiftool-vendored.pl/**/*",
      "**/node_modules/exiftool-vendored.exe/**/*",
      "renderer/assets/img/qr_icon.png"
    ],
    "directories": {
      "output": "dist"
    },
    "files": [
      "main/**/*",
      "renderer/**/*",
      "services/**/*",
      "config/**/*",
      "utils/**/*",
      "node_modules/**/*",
      "node_modules/@img/sharp-libvips-darwin-x64/**/*"
    ],
    "win": {
      "target": "nsis",
      "icon": "renderer/assets/img/favicon.ico"
    },
    "mac": {
      "target": [
        {
          "target": "pkg",
          "arch": [
            "x64"
          ]
        }
      ],
      "icon": "renderer/assets/img/favicon.icns"
    },
    "linux": {
      "target": "AppImage",
      "icon": "renderer/assets/img/favicon.png"
    },
    "nsis": {
      "oneClick": false,
      "perMachine": true,
      "allowToChangeInstallationDirectory": true
    }
  }
}
